<template>

    <div class="grid-box">
      <div class="row q-mx-xs">
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='1' :col='1' />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='1' :col='2'  />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='1' :col='3'  />
      </div>
      <div class="row q-mx-xs">
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='2' :col='1'  />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='2' :col='2'  />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='2' :col='3'  />
      </div>
      <div class="row q-mx-xs">
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='3' :col='1'  />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='3' :col='2'  />
        <number-box :boxRow="boxRow" :boxCol='boxCol' :row='3' :col='3'  />
      </div>
    </div>

</template>
<script>
import NumberBox from 'components/NumberBox'
export default {
  components: {
    NumberBox
  },
  props: ['boxRow', 'boxCol']

}
</script>

<style scoped>
  .box{
    height: 40px;
    margin: 2px;
  }
  .grid-box{
    width: 150px;
  }
  /* .q-btn :hover:before {
    background-color: var(--q-color-secondary) !important;
  } */

</style>
